#!/bin/bash -e

BOARDNAME="$1"
BOARDCONFIG="$2"

# omap3_beagle currently needs separate sources

if [ ! "$1" -o ! "$2" ]; then
    for BOARDCONFIG in omap4_panda u8500_href origen highbank mx53loco; do
        BOARDNAME="$(echo $BOARDCONFIG | tr -d '_')"
        BOARDCONFIG=${BOARDCONFIG}_config
        bash $0 $BOARDNAME $BOARDCONFIG
    done
    exit 0
fi

XLOADER=0
ORIGEN_SPL=0
case "$BOARDCONFIG" in
mx*|efika*) BINEND=imx ;;
*omap*)     BINEND=bin
            XLOADER=1  ;;
*origen*)   BINEND=bin
            ORIGEN_SPL=1 ;;
*)          BINEND=bin ;;
esac

sed "s/BOARDCONFIG/$BOARDCONFIG/g
s/BOARDNAME/$BOARDNAME/g
s/BINEND/$BINEND/g
s/ORIGEN_SPL/$ORIGEN_SPL/g
s/XLOADER/$XLOADER/g" < u-boot.spec.in > u-boot-$BOARDNAME.spec

cp u-boot.changes u-boot-$BOARDNAME.changes
