#
# spec file for package u-boot-omap4panda
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Texas Instruments Inc by Nishanth Menon
# Copyright (c) 2007-2010 by Silvan Calarco <silvan.calarco@mambasoft.it>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define x_loader 1
%define origen_spl 0

Name:           u-boot-omap4panda
Version:        2012.04.01
Release:        0
Summary:        The u-boot firmware for the omap4panda arm platform
License:        GPL-2.0
Group:          System/Boot
Url:            http://www.denx.de/wiki/U-Boot
Source:         u-boot-%{version}.tar.bz2
Source1:        openSUSE_panda.txt
Source300:      rpmlintrc
Patch1:         0006-ARMV7-hardfp-build-fix.patch
Patch2:         mlo-ext2.patch
Patch3:         loadaddr-defaults.patch
Patch4:         beagle-bootscr.patch
Patch5:         mx53loco-bootscr.patch
Patch6:         exynos-ext2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       u-boot-loader
Conflicts:      otherproviders(u-boot-loader)
%if %x_loader == 1
Obsoletes:      x-loader-omap4panda
Provides:       x-loader-omap4panda
%endif
ExclusiveArch:  %arm

%description
Das U-Boot (or just "U-Boot" for short) is Open Source Firmware for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains the firmware for the omap4panda arm platform.

%package doc
Summary:        Documentation for the u-boot Firmware
Group:          Documentation/Other

%description doc
Das U-Boot (or just "U-Boot" for short) is Open Source Firmware for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains documentation for u-boot firmware

%prep
%setup -q -n u-boot-%{version}
# is non-free licensed, and we don't need it (bnc#773824)
rm -rf board/Marvell
# Any custom patches to be applied on top of mainline u-boot
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
make %{?jobs:-j %jobs} CFLAGS="$RPM_OPT_FLAGS" omap4_panda_config
# temporary disable of --build-id
#make CFLAGS="$RPM_OPT_FLAGS" USE_PRIVATE_LIBGG=yes
make %{?jobs:-j %jobs} USE_PRIVATE_LIBGG=yes

%install
install -D -m 0644 u-boot.bin %{buildroot}/boot/u-boot.bin
%if %x_loader == 1
install -D -m 0755 MLO %{buildroot}/boot/MLO
%endif
%if %origen_spl == 1
install -D -m 0755 spl/origen-spl.bin %{buildroot}/boot/origen-spl.bin
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/boot/u-boot.bin
%if %x_loader == 1
/boot/MLO
%endif
%if %origen_spl == 1
/boot/origen-spl.bin
%endif
%doc COPYING CREDITS README

%files doc
%defattr(-,root,root)
# Generic documents
%doc doc/README.JFFS2 doc/README.JFFS2_NAND doc/README.commands
%doc doc/README.autoboot doc/README.commands doc/README.console doc/README.dns
%doc doc/README.hwconfig doc/README.nand doc/README.NetConsole doc/README.serial_multi
%doc doc/README.SNTP doc/README.standalone doc/README.update doc/README.usb
%doc doc/README.video doc/README.VLAN doc/README.silent doc/README.POST doc/README.Modem
# Copy some useful kermit scripts as well
%doc tools/scripts/dot.kermrc tools/scripts/flash_param tools/scripts/send_cmd tools/scripts/send_image
# Now any h/w dependent Documentation
%doc doc/README.ARM-SoC doc/README.ARM-memory-map 

%changelog
