#
# spec file for package u-boot
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Texas Instruments Inc by Nishanth Menon
# Copyright (c) 2007-2010 by Silvan Calarco <silvan.calarco@mambasoft.it>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           u-boot
Version:        2012.04.01
Release:        0
Summary:        Tools for the u-boot Firmware
License:        GPL-2.0
Group:          System/Boot
Url:            http://www.denx.de/wiki/U-Boot
Source:         u-boot-%{version}.tar.bz2
Patch5:         0006-ARMV7-hardfp-build-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Das U-Boot (or just "U-Boot" for short) is Open Source Firmware for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains:
mkimage- a tool that creates kernel bootable images for u-boot.


%package tools
Summary:        Tools for the u-boot Firmware
Group:          System/Boot

%description tools
Das U-Boot (or just "U-Boot" for short) is Open Source Firmware for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains:
mkimage- a tool that creates kernel bootable images for u-boot.

%prep
%setup -q -n u-boot-%{version}
%patch5 -p1

%build
make USE_PRIVATE_LIBGG=yes tools

%install
install -D -m 0755 tools/mkimage %{buildroot}%{_bindir}/mkimage
install -D -m 0644 doc/mkimage.1 %{buildroot}%{_mandir}/man1/mkimage.1

%files tools
%defattr(-,root,root)
%{_bindir}/mkimage
%{_mandir}/man1/mkimage.1.gz

%changelog
